package com.dsk.monitor.domain.vo;

import lombok.Data;

/**
 * @ClassName PushMonitorSystemDetail
 * @Description 详情
 * @Author Dgm
 * @Date 2023/5/23 14:05
 * @Version
 */
public class PushMonitorSystemDetailVo {

    /**
     * 监控维度名称
     */
    private String dimensionName;

    /**
     * 来源Id
     */
    private String sourceId;

    /**
     * eid
     */
    private String eid;

    /**
     * uid
     */
    private String uId;

    /**
     * md5Id
     */
    private String md5Id;

    /**
     * objId
     */
    private String objId;

    /**
     * pid
     */
    private String pid;

    public String getDimensionName() {
        return dimensionName;
    }

    public void setDimensionName(String dimensionName) {
        this.dimensionName = dimensionName;
    }

    public String getSourceId() {
        return sourceId;
    }

    public void setSourceId(String sourceId) {
        this.sourceId = sourceId;
    }

    public String getEid() {
        return eid;
    }

    public void setEid(String eid) {
        this.eid = eid;
    }

    public String getuId() {
        return uId;
    }

    public void setuId(String uId) {
        this.uId = uId;
    }

    public String getMd5Id() {
        return md5Id;
    }

    public void setMd5Id(String md5Id) {
        this.md5Id = md5Id;
    }

    public String getObjId() {
        return objId;
    }

    public void setObjId(String objId) {
        this.objId = objId;
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public PushMonitorSystemDetailVo() {
    }

    public PushMonitorSystemDetailVo(String pid) {
        this.pid = pid;
    }

    public PushMonitorSystemDetailVo(String eid, String uId, String md5Id, String objId) {
        this.eid = eid;
        this.uId = uId;
        this.md5Id = md5Id;
        this.objId = objId;
    }

    @Override
    public String toString() {
        return "PushMonitorSystemDetailVo{" +
                "dimensionName='" + dimensionName + '\'' +
                ", sourceId='" + sourceId + '\'' +
                ", eid='" + eid + '\'' +
                ", uId='" + uId + '\'' +
                ", md5Id='" + md5Id + '\'' +
                ", objId='" + objId + '\'' +
                ", pid='" + pid + '\'' +
                '}';
    }
}
